VIEWIMG_REGISTER_DESTROY_FUNC(3)

EXPERIMENTAL_FUNC
viewimg_register_destroy_func - Register destroy callback.

SYNOPSIS
#include <karma_viewimg.h>

KCallbackFunc viewimg_register_destroy_func

(ViewableImage vimage, void (*func) (), void *info)

DESCRIPTION
This routine will register a destroy function for a viewable image. The function will be called when the viewable image is destroyed. Many destroy functions may be registered per vimage. The first function registered is the first function called upon destruction.

vimage
    The viewable image.

func
    The function that is called when the ViewableImage is destroyed. The prototype function is <-viewimg_PROTO_destroy_func->.

info
    The arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/